package org.dromara.common.core.enums.biz;

import lombok.Getter;

/**
 * @author chenYing
 * @date 2025-07-21 13:59:58
 **/
@Getter
public enum QuestionsList {
    BASE_INFO("baseInfo", "基本信息"),
    OTHER_INFO("otherInfo", "其它"),
    ANTHROPOMETRY("anthropometry", "人体测量"),
    ANTHROPOMETRY_CHILD_ONE("1", "人体测量-人体测量"),
    ANTHROPOMETRY_CHILD_TWO("2", "人体测量-调查时间"),
    ANTHROPOMETRY_CHILD_THREE("3", "人体测量-过去体重"),
    ANTHROPOMETRY_CHILD_FOUR("4", "人体测量-体重变化"),
    DIETARY_STATUS("dietaryStatus", "膳食状况"),
    DIETARY_STATUS_CHILD_ONE("1", "膳食状况-膳食状况"),
    DIETARY_STATUS_CHILD_TWO("2", "膳食状况-食物摄入量"),
    DIETARY_STATUS_CHILD_THREE("3", "膳食状况-食物摄入种类"),
    DIETARY_STATUS_CHILD_FOUR("4", "膳食状况-营养素摄入分析"),
    NUTRITIONAL_BIOCHEMICAL("nutritionalBiochemical", "营养生化检查"),
    QUESTION_TYPE_SELECTION("questionTypeSelection", "题型选择"),
    SINGLE_CHOICE("singleChoice", "单选"),
    MULTIPLE_CHOICE("multipleChoice", "多选"),
    FILL_BLANKS("fillBlanks", "填空"),
    SCALE_QUESTIONS("scaleQuestions", "量表"),
    MATRIX_SCALE("matrixScale", "矩阵");

    private String code;
    private String remark;

    private QuestionsList(String code, String remark) {
        this.code = code;
        this.remark = remark;
    }
}
